| 0.9.9 API documentation

Functions
vector_relational.hpp File Reference

Go to the source code of this file.

## Functions
template<length_t L, qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR bool | all (vec< L, bool, Q > const &v)
template<length_t L, qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR bool | any (vec< L, bool, Q > const &v)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | greaterThan (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | greaterThanEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | lessThan (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | lessThanEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
template<length_t L, qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | not_ (vec< L, bool, Q > const &v)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL GLM_CONSTEXPR vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y)

## Detailed Description

Core features

See also
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

Definition in file vector_relational.hpp.